require( "scripts/style.lua" );

SliderFont = {"fonts/lithos.mvec", 24, Color(88,76,46,255) };


MakeDialog
{
	name="optionsmenu",
		
	OptionsWindow
	{
		x=0,y=0,w=kMax,h=kMax,

		Button{
			name="fullscreen",
			parent = DefaultStyle,
			type = kToggle,
			graphics = {"backgrounds/options/b_full0",	"backgrounds/options/b_full1",	"backgrounds/options/b_full0_mouseover",	"backgrounds/options/b_full1_mouseover" },
			x=202, y=468,
			command=
			function()
				PlayGSound("butt");
				kkk = ToggleFullScreen();
				AdjustFSButton();
				if (kkk == false) then
						SetNameInfosToRun("infoToggleFS");
						DoModal("scripts/infos.lua");
				end
			end
		};

		Button{
			name="fullscreenf",
			parent = DefaultStyle,
			type = kToggle,
			graphics = {"backgrounds/options/b_full1",	"backgrounds/options/b_full1",	"backgrounds/options/b_full1_mouseover",	"backgrounds/options/b_full1_mouseover" },
			x=202, y=468,
			command=
			function()
				PlayGSound("butt");
				kkk = ToggleFullScreen();
				AdjustFSButton();
				if (kkk == false) then
						SetNameInfosToRun("infoToggleFS");
						DoModal("scripts/infos.lua");
				end
			end
		};

		
		Button
		{
			x = 700, y = 540,
			name="back",
			parent = DefaultStyle,
			type= kPush,
			graphics = {"backgrounds/options/b_ok",	"backgrounds/options/b_ok_pressed",	"backgrounds/options/b_ok_mouseover"},
			command =
				function()
					PlayGSound("butt");
					SaveVolumes();
					CloseAddBox();
					PopModal("optionsmenu");
				end
		},
		
		Slider
		{
			name="ambientlevelslider",
			parent=DefaultStyle,
			railtop = "backgrounds/options/matr",	railmid = "backgrounds/options/matr",	railbot = "backgrounds/options/matr",	
			sliderimage = "backgrounds/options/slider", sliderrollimage = "backgrounds/options/slider",
			yoffset = 9, -- scoot the slider down by one pixel to center it.
			x = 450, y = 225, w = 340,
		},

		Slider
		{
			name="sfxlevelslider",
			parent=DefaultStyle,
			railtop = "backgrounds/options/matr",	railmid = "backgrounds/options/matr",	railbot = "backgrounds/options/matr",	
			sliderimage = "backgrounds/options/slider", sliderrollimage = "backgrounds/options/slider",
			yoffset = 9, -- scoot the slider down by one pixel to center it.
			x = 450, y = 311, w = 340,
		},
		
		Slider
		{
			name="musiclevelslider",
			parent=DefaultStyle,
			railtop = "backgrounds/options/matr",	railmid = "backgrounds/options/matr",	railbot = "backgrounds/options/matr",	
			sliderimage = "backgrounds/options/slider", sliderrollimage = "backgrounds/options/slider",
			yoffset = 9, -- scoot the slider down by one pixel to center it.
			x = 450, y = 402, w = 340,
		};
	},

}